Package org.opentcs.data.model

# Enum PeripheralInformation.State

java.lang.Object
java.lang.Enum<PeripheralInformation.State>
org.opentcs.data.model.PeripheralInformation.State

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PeripheralInformation.State>`, `java.lang.constant.Constable`

Enclosing class:
  PeripheralInformation

    public static enum PeripheralInformation.State
    extends java.lang.Enum<PeripheralInformation.State>

The elements of this enumeration describe the various possible states of a peripheral device.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ERROR` | There is a problem with the peripheral device.
  `EXECUTING` | The peripheral device is processing a job.
  `IDLE` | The peripheral device is currently idle/available for processing jobs.
  `NO_PERIPHERAL` | Indicates that the location the `PeripheralInformation` belongs to doesn't represent a peripheral device.
  `UNAVAILABLE` | The peripheral device's state is known and it's not in an error state, but it is not available for receiving jobs.
  `UNKNOWN` | The peripheral device's current state is unknown, e.g.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static PeripheralInformation.State` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static PeripheralInformation.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_PERIPHERAL

    public static final PeripheralInformation.State NO_PERIPHERAL
    Indicates that the location the `PeripheralInformation` belongs to doesn't represent a peripheral device.

  - ### UNKNOWN

    public static final PeripheralInformation.State UNKNOWN
    The peripheral device's current state is unknown, e.g. because communication with it is currently not possible for some reason.

  - ### UNAVAILABLE

    public static final PeripheralInformation.State UNAVAILABLE
    The peripheral device's state is known and it's not in an error state, but it is not available for receiving jobs.

  - ### ERROR

    public static final PeripheralInformation.State ERROR
    There is a problem with the peripheral device.

  - ### IDLE

    public static final PeripheralInformation.State IDLE
    The peripheral device is currently idle/available for processing jobs.

  - ### EXECUTING

    public static final PeripheralInformation.State EXECUTING
    The peripheral device is processing a job.

- ## Method Details

  - ### values

    public static PeripheralInformation.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PeripheralInformation.State valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null